/* ============== Fonts ============== */
/* Curtesy of Google Fonts */
@font-face {
    font-family: 'Impact';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(https://fonts.gstatic.com/l/font?kit=HhyVU5gq9PCuP11_LNCH&skey=5128cd07406988e&v=v19) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Playfair';
    font-style: normal;
    font-weight: 300 900;
    font-stretch: 100%;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/playfair/v2/0nk2C9D7PO4KhmUJ5_zTZ-wCMUXynAK-5UQzUIta.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Caudex';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/caudex/v17/esDT311QOP6BJUrwdteUkp8D.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Kanit';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/kanit/v15/nKKZ-Go6G5tXcraVGwA.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* ===========================
   RESET + BASE
   =========================== */
* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: Arial;
    color: #151515;
}

body {
    /* Circle pattern */
    --s: 140px;
    /*--c1: #f6eac8;*/
    /*--c2: #ecdfbd;*/
    --c1: #f0e4c2;
    --c2: #ecdfbd;

    --_g: 
        var(--c1) 0%  5% ,var(--c2) 6%  15%,var(--c1) 16% 25%,var(--c2) 26% 35%,var(--c1) 36% 45%,
        var(--c2) 46% 55%,var(--c1) 56% 65%,var(--c2) 66% 75%,var(--c1) 76% 85%,var(--c2) 86% 95%,
        #0000 96%;
    background:
        radial-gradient(50% 50% at 0 100%,var(--_g)),
        radial-gradient(50% 50% at 100% 0,var(--_g)),
        radial-gradient(50% 50%,var(--_g)),
        radial-gradient(50% 50%,var(--_g)) calc(var(--s)/2) calc(var(--s)/2)
        var(--c1);
    background-size: var(--s) var(--s);

    padding: 3rem 1rem;
    line-height: 1.6;
    letter-spacing: 0.1em;
    overflow-x: hidden;
}


h1, h2, h3 {
    font-family: 'Lato', sans-serif;
    margin-bottom: 0.5em;
}

h1 {
    font-family: 'Impact', 'Haettenschweiler', 'Arial Narrow Bold', sans-serif;
    font-size: 700%;
    letter-spacing: 150%;
    font-weight: lighter;
    line-height: 120%;
    text-align: center;
    vertical-align: middle;
}

h2 {
    font-size: 2em;
    line-height: 120%;
}

h3 {
    font-size: 120%;
    text-align: left;
    letter-spacing: 0.01em;
}

p {
    letter-spacing: 0.06em;
    padding: 3%;
    padding-right: 5%;
    padding-left: 0;
}

a {
    color: #2e69ff;
    font-weight: normal;
    font-size: 1.1em;
}

a:hover {
    color: #99b6ff;
}

/* ============== Landing page ============== */

#border {
    max-width: 900px;
    margin: 0 auto;
    background: #f5f5f5f4;
    box-shadow: 0 10px 30px rgba(0, 0, 20, 0.85);
    border-radius: 2px;
}

#home-content {
    display: flex;
}

/* ===========================
   HEADER / NAV
   =========================== */
.site-header {
    /*border-bottom: 5px dotted #0808f866;*/
    border-bottom: 1px solid #ccc;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /*padding: 1.5rem 2rem;*/
    padding-left: 2.5rem;
    padding-right: 0.0rem;
}

.navbar a {
    text-decoration: none;
    color: #151515;
}

.navbar a:hover {
    color: #686868;
    text-decoration: underline;
}

#paragraph {
    width: 60%;
    font-size: 1.0rem;
    letter-spacing: 10.01px;
}

#welcome-wrapper {
    padding: 5%;
    padding-top: 0px;
    padding-bottom: 0px;
}

.welcome-dates {
    /*width: 100%;
    letter-spacing: 0.02em;
    text-align: left;
    padding-top: 0px;*/
    margin-top: -10px;
    margin-bottom: 0px;
    padding: 0px;
    align-self: center;
    text-align: center;
}

#welcome-header {
    letter-spacing: 0.02em;
    width: 80%;
    font-family: Caudex;
    font-size: 2.8em;
    border-bottom: 3px solid #007bff;
    align-self: bottom;
}

#personal-container {
    display: grid;
    width: 40%;
    padding-right: 5%;
    padding-left: 5%;
    padding-top: 5%;
    padding-bottom: 7%;
    row-gap: 2%;
}

#img-container {
    align-self: center;
    padding-bottom: 10%;
}

#portrait-img {
    width: 100%;
    height: auto;
    margin: 0px;
    margin-left: 0%;
    margin-right: 0%;
    /* Horizontal offset | Vertical offset | Blur radius | Spread radius | Color */
    box-shadow: 0px 0px 20px 3px rgba(0, 0, 0, 0.3);
}

.personal-info {
    margin-top: -10px;
    margin-bottom: 0px;
    padding: 0px;
    align-self: center;
    text-align: center;
}

#title {
    font-size: 1.8rem;
    font-weight: bold;
    letter-spacing: -0.15rem;
    /*font-family: Playfair, sans-serif;*/
    padding: 0px;
    padding-top: 1%;
    margin: 0px;
    color: rgb(150, 150, 250);
    text-shadow:
        
        1px 1px 1px black,
        -1px 1px 1px black,
        1px -1px 1px black,
        -1px -1px 1px black;
        
        /*
        1px 1px 2px red,
        0 0 1em blue,
        0 0 0.2em blue;
        */
}

#smaller-title {
    display: none;
    font-family: Playfair, sans-serif;
}

#pages-container {
    list-style: none;
    display: flex;
    gap: 1rem;
    padding: 1.5rem 2rem;
}

.flower-container {
    position: absolute;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    margin: 0px;
}

#flower1-img {
    position: absolute;
    width: auto;
    height: 140%;
    right: -2%;
    bottom: -30%;
    z-index: -1;
    overflow: hidden;
}

/* ===========================
   FOOTER
   =========================== */
.footer {
  text-align: center;
  padding: 1.0rem;
  font-size: 0.9rem;
  color: #777;
  /*border-top: 1px solid #eee;*/
}

/* ===================================== */
/* Responsive Design for mobile viewing    */
/* ===================================== */
@media (orientation: portrait) {
    #title {
        display: none;
    }

    #smaller-title {
        display: flex;
    }

    #pages-container {
        padding: 1.5rem 0rem;
    }
}

